This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 426530 - Review Request: perl-Module-ExtractUse - Find out what modules are used
Review Request: perl-Module-ExtractUse - Find out what modules are used
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: Module-ExtractUse (view as bug list)
Depends On:
Blocks: 426542
  Show dependency treegraph
 
Reported: 2007-12-21 15:45 EST by Daniel Berrange
Modified: 2012-03-24 15:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 13:06:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-12-21 15:45:59 EST
Spec URL: http://berrange.fedorapeople.org/review/perl-Module-ExtractUse/perl-Module-ExtractUse.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Module-ExtractUse/perl-Module-ExtractUse-0.22-1.fc9.src.rpm
Description: 
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl
code. It tries very hard to find all modules (whether pragmas, Core, or
from CPAN) used by the parsed code.
Comment 1 Parag AN(पराग) 2007-12-21 22:38:12 EST
one test failed as
t/80_failing..............skipped
        all skipped: parser is known to not catch those
Comment 2 Daniel Berrange 2007-12-21 23:02:25 EST
The test in question has been explicitly disabled by the upstream author:

#!/usr/bin/perl -w
use strict;
use Test::More skip_all=>'parser is known to not catch those';


So, this skip is expected
Comment 3 Parag AN(पराग) 2007-12-21 23:11:52 EST
(In reply to comment #2)
> The test in question has been explicitly disabled by the upstream author:
> 
> #!/usr/bin/perl -w
> use strict;
> use Test::More skip_all=>'parser is known to not catch those';
> 
> 
> So, this skip is expected

aha. Upstream Author test.
okay.
Comment 4 Parag AN(पराग) 2007-12-21 23:18:37 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
afbabdb638d6c37b8dd31adb6544fee4  Module-ExtractUse-0.22.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/01_load.................ok
t/10_basic................ok
t/20_parse_self...........ok
t/21_comment..............ok
t/22_eval.................ok
t/23_universal_require....ok
t/80_failing..............skipped
        all skipped: parser is known to not catch those
t/99_pod..................ok
t/99_pod_coverage.........ok
All tests successful, 1 test skipped.
Files=9, Tests=84,  2 wallclock secs ( 1.79 cusr +  0.10 csys =  1.89 CPU)

+ Package perl-Module-ExtractUse-0.22-1.fc9 ->
  Provides: perl(Module::ExtractUse) perl(Module::ExtractUse::Grammar)
perl(Parse::RecDescent::Module::ExtractUse::Grammar)
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp)
perl(Module::ExtractUse::Grammar) perl(Parse::RecDescent) perl(Pod::Strip)
perl(strict) perl(vars) perl(version) perl(warnings)

APPROVED.
   
Comment 5 Daniel Berrange 2007-12-21 23:20:31 EST
New Package CVS Request
=======================
Package Name: perl-Module-ExtractUse
Short Description: Find out what modules are used
Owners: berrange
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Tom "spot" Callaway 2007-12-22 10:55:14 EST
cvs done.
Comment 7 Daniel Berrange 2007-12-22 13:06:42 EST
$ koji latest-pkg dist-f9 perl-Module-ExtractUse
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Module-ExtractUse-0.22-1.fc9         dist-f9               berrange
Comment 8 Ville Skyttä 2007-12-22 16:05:07 EST
FYI, there was already an ongoing (well, kind of stalled I guess) review of this
in bug 239193.
Comment 9 Ville Skyttä 2007-12-22 16:05:22 EST
*** Bug 239193 has been marked as a duplicate of this bug. ***
Comment 10 Daniel Berrange 2007-12-23 13:24:59 EST
WRT to comment #8, if the original submittor wants to be a co-maintainer they
are welcome to add themselves via pkgdb and I will approve it. I have already
got the module set to allow  cvsextras commit.
Comment 11 Daniel Berrange 2010-06-24 08:37:26 EDT
Package Change Request
======================
Package Name: perl-Module-ExtractUse
New Branches: EL-6
Owners: berrange
Comment 12 Jason Tibbitts 2010-06-25 14:35:10 EDT
CVS done.
Comment 13 Paul Howarth 2012-03-05 09:24:02 EST
Hi Daniel,

could we have an EL-5 branch of this package please? The EPEL-6 package builds OK in EPEL-5 with the addition of BR: perl(version); I have requested an EL-5 branch of perl-Pod-Strip, which is also needed (Bug #219957). I (pghmcfc) would be happy to maintain this if you're not interested.
Comment 14 Daniel Berrange 2012-03-06 06:44:14 EST
Package Change Request
======================
Package Name: perl-Module-ExtractUse
New Branches: EL-5
Owners: berrange
Comment 15 Gwyn Ciesla 2012-03-06 07:59:15 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-03-07 09:08:35 EST
perl-Module-ExtractUse-0.23-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Module-ExtractUse-0.23-4.el5
Comment 17 Fedora Update System 2012-03-24 15:12:11 EDT
perl-Module-ExtractUse-0.23-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.